--- old/usr/src/uts/sun4u/blade/Makefile.targ	2013-12-14 21:35:01.593979683 -0500
+++ new/usr/src/uts/sun4u/blade/Makefile.targ	2013-12-14 21:35:01.599619423 -0500
@@ -1,9 +1,9 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
 #
 # You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 # or http://www.opensolaris.org/os/licensing.
@@ -18,12 +18,63 @@
 #
 # CDDL HEADER END
 #
-# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
+#
+
+#
+# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+#	Common targets for sun4u jbos-blade implementation specific modules.
 #
 
-UTSTREE=$(UTSBASE)
+.KEEP_STATE:
+
+#
+# Rules for implementation subdirectories.
+#
+$(ROOT_BLADE_DIR): $(ROOT_PLAT_DIR)
+	-$(INS.dir)
+
+$(ROOT_BLADE_MOD_DIR): $(ROOT_BLADE_DIR)
+	-$(INS.dir)
+
+$(ROOT_BLADE_DRV_DIR_32): $(ROOT_BLADE_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_BLADE_DRV_DIR_64): $(ROOT_BLADE_DRV_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_BLADE_MISC_DIR_32): $(ROOT_BLADE_MOD_DIR)
+	-$(INS.dir)
 
-include $(UTSBASE)/sun4u/blade/Makefile.targ.shared
+$(ROOT_BLADE_MISC_DIR_64): $(ROOT_BLADE_MISC_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_BLADE_MOD_DIR)/%: $(OBJS_DIR)/% $(ROOT_BLADE_MOD_DIR) FRC
+	$(INS.file)
+
+$(ROOT_BLADE_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_BLADE_MISC_DIR) FRC
+	$(INS.file)
+
+$(ROOT_BLADE_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_BLADE_DRV_DIR) FRC
+	$(INS.file)
+
+$(USR_BLADE_DIR):	$(USR_PLAT_DIR)
+	-$(INS.dir)
+
+$(USR_BLADE_INC_DIR):	$(USR_BLADE_DIR)
+	-$(INS.slink4)
+
+$(USR_BLADE_ISYS_DIR):	$(USR_BLADE_INC_DIR)
+	-$(INS.dir)
+
+$(USR_BLADE_SBIN_DIR):	$(USR_BLADE_DIR)
+	$(INS.slink5)
+
+$(USR_BLADE_LIB_DIR):	$(USR_BLADE_DIR)
+	-$(INS.dir)
+#
+#	Include common targets.
+#
+include $(UTSBASE)/sun4u/blade/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.targ
